local metadata = {
"## Interface:FS17 1.2.1.0 1.2.1RC2",
"## Title: HolmerPotato_Register",
"## Notes: HolmerPotato_Register",
"## Author: Marhu",
"## Convert: Ifko[nator]",
"## Version: 2.0.0",
"## Date: 15.03.2016",
"## Date convert: 03.11.2016",
"## Web: http://marhu.net"
}

local DebugEbene = 0;
local function getmdata(v) v="## "..v..": "; for i=1,table.getn(metadata) do local _,n=string.find(metadata[i],v);if n then return (string.sub (metadata[i], n+1)); end;end;end;
local function Debug(e,s,...) if e <= DebugEbene then print((getmdata("Title")).." v"..(getmdata("Version"))..": "..string.format(s,...)); end; end;
local function L(name) local t = getmdata("Title"); return g_i18n:hasText(t.."_"..name) and g_i18n:getText(t.."_"..name) or name; end
--print("Script "..(getmdata("Title")).." v"..(getmdata("Version")).." by "..(getmdata("Author")).." loaded! Support on "..(getmdata("Web")));
	
SpecializationUtil.registerSpecialization("HolmerPotato", "HolmerPotato", g_currentModDirectory .. "scripts/HolmerPotato.lua")

HolmerPotato_Register = {};
HolmerPotato_Register.vehicleTypes = {"mtz_rks"};

function HolmerPotato_Register:loadMap(name)
	
	local function findVehicleTypes(typ)
		for i = 1, #HolmerPotato_Register.vehicleTypes do
			if string.find(typ,HolmerPotato_Register.vehicleTypes[i]) then
				return true;
			end;
		end;
		
		return false;
	end;
	
	local numVehicleTypes = 0;
	
	for vehicleType, vehilce in pairs(VehicleTypeUtil.vehicleTypes) do	
		if findVehicleTypes(vehicleType) then
			if not SpecializationUtil.hasSpecialization(HolmerPotato, vehilce.specializations) then
				table.insert(vehilce.specializations, SpecializationUtil.getSpecialization("HolmerPotato"));
				numVehicleTypes = numVehicleTypes + 1;
			end;
		end;
	end;
	
	print("Script " .. (getmdata("Title")) .. " v" .. (getmdata("Version")) .. " by " .. (getmdata("Author")) .. " converted to FS 17 by " .. (getmdata("Convert")) ..  " registered in " ..numVehicleTypes.. " vehicleTypes! Support on " .. (getmdata("Web")));
end;
function HolmerPotato_Register:ValueChanged()
end;
function HolmerPotato_Register:deleteMap()
end;
function HolmerPotato_Register:mouseEvent(posX, posY, isDown, isUp, button)
end;
function HolmerPotato_Register:keyEvent(unicode, sym, modifier, isDown)
end;
function HolmerPotato_Register:update(dt)
end;
function HolmerPotato_Register:draw()
end;
addModEventListener(HolmerPotato_Register);